# exclude private provides
%define __provides_exclude_from	^%{_libdir}/%{name}/plugins/.*\.so$

Name:		qstardict
Version:	1.4
Release:	%mkrel 2
Summary:	StarDict clone written using Qt5
License:	GPLv3+
Group:		Office
URL:		https://qstardict.ylsoftware.com/
Source0:	https://qstardict.ylsoftware.com/files/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libzim)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	qttools5

%description
QStarDict is a dictionary application for learning foreign
languages written using Qt.

Main features:

 * Support of Kiwix dictionaries
 * Support of StarDict 2.x and 3.x dictionaries
 * Background mode
 * Showing translations for words selected by mouse in any
   application in a popup window
 * Pronuncation of words


#----------------------------------------------------

%prep
%autosetup

%build
%qmake_qt5 \
	PLUGINS_DIR=%{_libdir}/%{name}/plugins \
	QMAKE_LRELEASE=%{_qt5_bindir}/lrelease
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fr %{buildroot}%{_docdir}/%{name}/COPYING
rm -rf %buildroot/usr/share/doc

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%changelog
* Wed Jan 03 2024 tex - 1.4-2pclos2024
- rebuild against updates

* Tue Dec 05 2023 tex - 1.4-1pclos2023
- new version: 1.4
